Monitoring - Add Dashboard
Poproś o zapisanie pulpitu nawigacyjnego w widoku monitorowania.
POST http://<Servername>/OperationsManager/monitoring/dashboard
Treść żądania
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Nazwa | Wymagane | Typ | Opis |
|---|---|---|---|
| name | True |
string |
Nazwa komponentu |
| componentType |
string |
Typ składnika |
|
| config |
string |
Konfiguracja komponentu |
|
| description |
string |
Opis komponentu |
|
| mpDescription |
string |
Opis trybu wieloosobowego |
|
| mpId |
string |
Identyfikator MP |
|
| mpName |
string |
Imię i nazwisko MP |
|
| mpVersion |
string |
Wersja MP |
|
| path |
string |
Ścieżka |
Odpowiedzi
| Nazwa | Typ | Opis |
|---|---|---|
| 200 OK |
OK. Pomyślnie zapisano pulpit nawigacyjny Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Przykłady
Monitoring_AddDashboard
Przykładowe żądanie
POST http://<Servername>/OperationsManager/monitoring/dashboard
{
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"mpName": "Notifications Internal Library",
"path": "Monitoring",
"name": "Notification Dashsboard",
"description": "test",
"config": null,
"componentType": null
}
Przykładowa odpowiedź
{
"id": "7c7cd385-30f5-312f-9123-31c2f22f6edf",
"name": "Notification Dashsboard",
"description": "test",
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"componentType": null,
"config": null
}
Definicje
| Nazwa | Opis |
|---|---|
|
Component |
|
|
Monitoring |
ComponentResponse
| Nazwa | Typ | Opis |
|---|---|---|
| componentType |
string |
Typ składnika |
| config |
string |
konfiguracja |
| description |
string |
Opis komponentu |
| id |
string |
Identyfikator |
| mpId |
string |
Identyfikator MP komponentu |
| name |
string |
Nazwa składnika |
MonitoringComponentRequest
| Nazwa | Typ | Opis |
|---|---|---|
| componentType |
string |
Typ składnika |
| config |
string |
Konfiguracja komponentu |
| description |
string |
Opis komponentu |
| mpDescription |
string |
Opis trybu wieloosobowego |
| mpId |
string |
Identyfikator MP |
| mpName |
string |
Imię i nazwisko MP |
| mpVersion |
string |
Wersja MP |
| name |
string |
Nazwa komponentu |
| path |
string |
Ścieżka |